org.apache.cassandra.transport

## Interface CBCodec<T>

All Known Subinterfaces:
  Message.Codec<M>

All Known Implementing Classes:
  ResultSet.Codec

    public interface CBCodec<T>

### Method Summary

Methods
`T` `decode(org.jboss.netty.buffer.ChannelBuffer body, int version)`
`void` `encode(T t, org.jboss.netty.buffer.ChannelBuffer dest, int version)`
`int` `encodedSize(T t, int version)`

### Method Detail

#### decode

    T decode(org.jboss.netty.buffer.ChannelBuffer body,
           int version)

#### encode

    void encode(T t,
              org.jboss.netty.buffer.ChannelBuffer dest,
              int version)

#### encodedSize

    int encodedSize(T t,
                  int version)